summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sys-kernel/gentoo-kernel-bin/Manifest2
-rw-r--r--sys-kernel/gentoo-kernel-bin/gentoo-kernel-bin-5.4.96.ebuild55
2 files changed, 57 insertions, 0 deletions
diff --git a/sys-kernel/gentoo-kernel-bin/Manifest b/sys-kernel/gentoo-kernel-bin/Manifest
index daa204f884e..81adc7121dc 100644
--- a/sys-kernel/gentoo-kernel-bin/Manifest
+++ b/sys-kernel/gentoo-kernel-bin/Manifest
@@ -36,3 +36,5 @@ DIST gentoo-kernel-5.4.94-1.arm64.xpak 56309818 BLAKE2B 50f9f4d7bfaee560860899a0
DIST gentoo-kernel-5.4.94-1.x86.xpak 52893412 BLAKE2B b694d25318a84dd4d458b3ad42193781a42853fef9bc21c7e0f3671b5d74b9358c3408bb478d669d57f3618bc433d29df02bed71d80abc7bb8e8814c6e08997d SHA512 c64d72334079b3650c37427ab38e72d9b0d946d93989a491224a936e59d4eb0e43046bf03d85487d41ae6dec43cf5c5dd8667d3e2c9cf7355ec9e95f61f096e2
DIST gentoo-kernel-5.4.95-1.amd64.xpak 61046196 BLAKE2B 0473181cbf20219d9007f7f5d0e0fa8f1f9e50a65f21dbbca551a1b3b3a5b22e6ec84c9979d541acb792f8ae9be072cf89e6c2652427195dcac50f5c89862d3d SHA512 16e4543c6de8fab3e0077475e9324fbbbd6a7b67b3baa5e8e7d91b0cb401a5fa39e770620a14a4707acba9a82c30bfa8ef0b0ec286b1d55f4c5ac7028fefeae0
DIST gentoo-kernel-5.4.95-1.x86.xpak 52897802 BLAKE2B b8cf51aa47d6a3701d78042f3dcab485b9a1664d124dc4113346817d3fb6c6bd9159bd209872ec400156e4c0427c44fa82f8d6b5fb3ea6679a24160197ad0ab6 SHA512 ac0b1689a96baaea5509af5a7af30420871c27846d9672b103e2fcdebd0bd19b432657d3d0edda7785cc3bf50c56f3115bb7162318ff171f5f1de1455ab0568a
+DIST gentoo-kernel-5.4.96-1.amd64.xpak 61082860 BLAKE2B 5521a3a4d5dccd127c91f35ffe8453d7b296f278c60d855133253f3752f47a74dc49bf19a110e5176762488e39697c35ad29658dfc70d0d58bd5fc8ce2f86fcf SHA512 9559c82e6980a8b2b32bb633d7957577544b2756f065fb66d688636919ba6532b82bb72ea6313c4d386317b45234a2c2226b7d78d52eb45667a10bee5d6b85d4
+DIST gentoo-kernel-5.4.96-1.x86.xpak 52902599 BLAKE2B e79d7ade352b071f57f4ffa4ec2407d835eb55e4926cec9212237a89d1a88780c5b91066bed8d42a839196278edc52658a08476926970ce9f9a8b5e864591f8d SHA512 5ba67830ef51d5918f2f4c08c2bbb78fc49cd0c37868e7a715c060a22a6220d2d1c1ac7db809021f3876b135c1ca5f8734817775234c02a524559b6602d806f6
diff --git a/sys-kernel/gentoo-kernel-bin/gentoo-kernel-bin-5.4.96.ebuild b/sys-kernel/gentoo-kernel-bin/gentoo-kernel-bin-5.4.96.ebuild
new file mode 100644
index 00000000000..b8eb2c63573
--- /dev/null
+++ b/sys-kernel/gentoo-kernel-bin/gentoo-kernel-bin-5.4.96.ebuild
@@ -0,0 +1,55 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kernel-install
+
+MY_P=${P/-bin/}-1
+DESCRIPTION="Pre-built Linux kernel with genpatches"
+HOMEPAGE="https://www.kernel.org/"
+SRC_URI+="
+ amd64? (
+ https://dev.gentoo.org/~mgorny/binpkg/amd64/kernel/sys-kernel/gentoo-kernel/${MY_P}.xpak
+ -> ${MY_P}.amd64.xpak
+ )
+ x86? (
+ https://dev.gentoo.org/~mgorny/binpkg/x86/kernel/sys-kernel/gentoo-kernel/${MY_P}.xpak
+ -> ${MY_P}.x86.xpak
+ )"
+S=${WORKDIR}
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ !sys-kernel/gentoo-kernel:${SLOT}
+ !sys-kernel/vanilla-kernel:${SLOT}
+ !sys-kernel/vanilla-kernel-bin:${SLOT}"
+PDEPEND="
+ >=virtual/dist-kernel-${PV}"
+
+QA_PREBUILT='*'
+
+pkg_pretend() {
+ ewarn "Starting with 5.4.52, Distribution Kernels are switching from Arch"
+ ewarn "Linux configs to Fedora. Please keep a backup kernel just in case."
+
+ kernel-install_pkg_pretend
+}
+
+src_unpack() {
+ ebegin "Unpacking ${MY_P}.${ARCH}.xpak"
+ tar -x < <(xz -c -d --single-stream "${DISTDIR}/${MY_P}.${ARCH}.xpak")
+ eend ${?} || die "Unpacking ${MY_P} failed"
+}
+
+src_test() {
+ kernel-install_test "${PV}" \
+ "${WORKDIR}/usr/src/linux-${PV}/$(dist-kernel_get_image_path)" \
+ "lib/modules/${PV}"
+}
+
+src_install() {
+ mv * "${ED}" || die
+}